com.holonplatform.core.internal

## Interface ValidatorDescriptor.Builder

- Enclosing interface:
    ValidatorDescriptor

      public static interface ValidatorDescriptor.Builder

  Builder to create `ValidatorDescriptor` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidatorDescriptor` | `build()` Build the `ValidatorDescriptor` instance.
    `ValidatorDescriptor.Builder` | `email()` Set the value as email type.
    `ValidatorDescriptor.Builder` | `exclusiveMax()` Set the maximum value as exclusive.
    `ValidatorDescriptor.Builder` | `exclusiveMin()` Set the minimun value as exclusive.
    `ValidatorDescriptor.Builder` | `fractionDigits(int digits)` Set the fractional digits count.
    `ValidatorDescriptor.Builder` | `future()` Set the value must be in the future.
    `ValidatorDescriptor.Builder` | `in(Object... values)` Set the admitted values.
    `ValidatorDescriptor.Builder` | `integerDigits(int digits)` Set the integer digits count.
    `ValidatorDescriptor.Builder` | `max(Number max)` Set the maximum value.
    `ValidatorDescriptor.Builder` | `min(Number min)` Set the minimum value.
    `ValidatorDescriptor.Builder` | `notIn(Object... values)` Set the not admitted values.
    `ValidatorDescriptor.Builder` | `past()` Set the value must be in the past.
    `ValidatorDescriptor.Builder` | `pattern(String pattern)` Set the value regexp pattern.
    `ValidatorDescriptor.Builder` | `required()` Set the value as required.

- - ### Method Detail

    - #### required

          ValidatorDescriptor.Builder required()

      Set the value as required.
      Returns:
        this

    - #### email

          ValidatorDescriptor.Builder email()

      Set the value as email type.
      Returns:
        this

    - #### past

          ValidatorDescriptor.Builder past()

      Set the value must be in the past.
      Returns:
        this

    - #### future

          ValidatorDescriptor.Builder future()

      Set the value must be in the future.
      Returns:
        this

    - #### min

          ValidatorDescriptor.Builder min(Number min)

      Set the minimum value.
      Parameters:
        `min` - Minimum value
      Returns:
        this

    - #### max

          ValidatorDescriptor.Builder max(Number max)

      Set the maximum value.
      Parameters:
        `max` - Maximum value
      Returns:
        this

    - #### exclusiveMin

          ValidatorDescriptor.Builder exclusiveMin()

      Set the minimun value as exclusive.
      Returns:
        this

    - #### exclusiveMax

          ValidatorDescriptor.Builder exclusiveMax()

      Set the maximum value as exclusive.
      Returns:
        this

    - #### pattern

          ValidatorDescriptor.Builder pattern(String pattern)

      Set the value regexp pattern.
      Parameters:
        `pattern` - Regexp pattern
      Returns:
        this

    - #### integerDigits

          ValidatorDescriptor.Builder integerDigits(int digits)

      Set the integer digits count.
      Parameters:
        `digits` - Integer digits count
      Returns:
        this

    - #### fractionDigits

          ValidatorDescriptor.Builder fractionDigits(int digits)

      Set the fractional digits count.
      Parameters:
        `digits` - Fractional digits count
      Returns:
        this

    - #### in

          ValidatorDescriptor.Builder in(Object... values)

      Set the admitted values.
      Parameters:
        `values` - Admitted values
      Returns:
        this

    - #### notIn

          ValidatorDescriptor.Builder notIn(Object... values)

      Set the not admitted values.
      Parameters:
        `values` - Not admitted values
      Returns:
        this

    - #### build

          ValidatorDescriptor build()

      Build the `ValidatorDescriptor` instance.
      Returns:
        the `ValidatorDescriptor` instance

Copyright © 2019 The Holon Platform. All rights reserved.